2 Replies Latest reply on Aug 14, 2014 11:03 AM by Jacob Filek

    How can I select a sketch relation with ModelDocExtension.SelectbyID2?

    Jacob Filek

      I would like to list all the relations of a active sketch in a listbox and delete selected ones.

      I can get a list of relations that are exposed through SldWorks.Sketch.RelationManager.GetRelations(swAll)

      the only usefull thing exposed in the ISketchRelation Interface is "GetRelationType".

      I need more to be able to select the relation with : ModelDocExtension.SelectbyID2

      So can I select a Relation with "ModelDocExtension.SelectbyID2" ?